Package tigase.monitor

# Enum Class TaskConfigItem.Type

java.lang.Object
java.lang.Enum<TaskConfigItem.Type>
tigase.monitor.TaskConfigItem.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskConfigItem.Type>`, `Constable`

Enclosing class:
  TaskConfigItem

public static enum TaskConfigItem.Type extends Enum<TaskConfigItem.Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `scriptTask`
  `scriptTimerTask`
  `task`
  Default task, built with standard java class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskConfigItem.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskConfigItem.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### scriptTask

    public static final TaskConfigItem.Type scriptTask

  - ### scriptTimerTask

    public static final TaskConfigItem.Type scriptTimerTask

  - ### task

    public static final TaskConfigItem.Type task
    Default task, built with standard java class.

- ## Method Details

  - ### values

    public static TaskConfigItem.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskConfigItem.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null